#!/bin/bash
# This script tars all the files into an tar.gz archive. It backups an old copy before creating the new one and deletes the backup on success.
#
# @author artodeto
# @param string TARBALL - the name of the tar.gz you want to create
# @param string TARBALLOLD - the name for the backup
# @param string DIRECTORY - the name where you want to store the TARBALL
# @since 2012-07-25

TARBALL='settings.tar.gz'
TARBALLOLD="$TARBALL.old"
DIRECTORY='/home/devuser/backup/'

if [ -f "$DIRECTORY$TARBALL" ]; then
        echo 'renaming old settings'
        mv "$DIRECTORY$TARBALL" "$DIRECTORY$TARBALLOLD"
fi

tar -czf "$DIRECTORY$TARBALL" ~/.viminfo ~/.filezilla ~/.wireshark ~/.umlet ~/.vim ~/.netbeans ~/.config ~/.ssh ~/.bashrc ~/.notion ~/.irssi ~/.VirtualBox ~/.conkyrc ~/.mozilla ~/.gnome2_private ~/.pentadactyl

if [ -f "$DIRECTORY$TARBALL" ]; then
        echo 'removing old settings'
        rm "$DIRECTORY$TARBALLOLD"
fi